optionFindValue(3)

NAME
optionFindValue - find a hierarcicaly valued option instance

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

const tOptionValue * optionFindValue(const tOptDesc * odesc, char const * name, char const * val);

DESCRIPTION
This routine will find an entry in a nested value option or configurable. It will search through the list and return a matching entry.

odesc
    an option with a nested arg type

name
    name of value to find

val the matching value

RETURN VALUE
a compound value structure

ERRORS
The returned result is NULL and errno is set:

EINVAL - the pOptValue does not point to a valid hierarchical option value.

ENOENT - no entry matched the given name. @end itemize

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),